[openssh-commits] [openssh] 02/02: upstream: Use egrep instead of grep -E.

git+noreply at mindrot.org git+noreply at mindrot.org
Fri Mar 29 22:01:39 AEDT 2024


This is an automated email from the git hooks/post-receive script.

dtucker pushed a commit to branch master
in repository openssh.

commit 7844705b0364574cc70b941be72036c2c2966363
Author: dtucker at openbsd.org <dtucker at openbsd.org>
AuthorDate: Fri Mar 29 10:40:07 2024 +0000

    upstream: Use egrep instead of grep -E.
    
    Some plaforms don't have the latter so this makes things easier
    in -portable.
    
    OpenBSD-Regress-ID: ff82260eb0db1f11130200b25d820cf73753bbe3
---
 regress/sftp-cmds.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/regress/sftp-cmds.sh b/regress/sftp-cmds.sh
index b16bc309..9b08bde5 100644
--- a/regress/sftp-cmds.sh
+++ b/regress/sftp-cmds.sh
@@ -1,4 +1,4 @@
-#	$OpenBSD: sftp-cmds.sh,v 1.18 2024/03/26 08:09:16 dtucker Exp $
+#	$OpenBSD: sftp-cmds.sh,v 1.19 2024/03/29 10:40:07 dtucker Exp $
 #	Placed in the Public Domain.
 
 # XXX - TODO: 
@@ -42,7 +42,7 @@ echo "ls ${OBJ}" | ${SFTP} -D ${SFTPSERVER} >/dev/null 2>&1 \
 
 verbose "$tid: shell"
 echo "!echo hi there" | ${SFTP} -D ${SFTPSERVER} 2>&1 | \
-	grep -E '^hi there$' >/dev/null || fail "shell failed"
+	egrep '^hi there$' >/dev/null || fail "shell failed"
 
 verbose "$tid: pwd"
 echo "pwd" | ${SFTP} -D ${SFTPSERVER} >/dev/null 2>&1 \

-- 
To stop receiving notification emails like this one, please contact
djm at mindrot.org.


More information about the openssh-commits mailing list